List Custom Attribute Groups
Retrieve all Custom Attribute Groups for a specific entity.
GET
https://api.piggy.eu/api/v3/oauth/clients/custom-attribute-groupsHeaders
Authorization
Accept
Bearer {{ personal_access_token }}application/jsonInput parameters
entitystringrequiredEntity for which Custom Attribute Groups are to be retrieved
Possible values:
business_profilesFor entity: Business Profile (or Shop)contactFor entity: ContactrewardFor entity: RewardpromotionFor entity: Promotion (note: use this one when working with Vouchers)voucherFor entity: Voucher (note: this is for individual vouchers, you'll likely need Promotion insteadgiftcardFor entity: Giftcardgiftcard_transactionFor entity: Giftcard TransactionprepaidFor entity: Prepaid TransactionbookingFor entity: BookingvisitFor entity: VisitshiftFor entity: ShiftResponse Example
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
{
"data": [
{
"entity": "promotion",
"name": "acme_integration",
"label": "Acme Integration Attributes",
"created_at": "2023-11-13T16:04:14+00:00",
},
{
"entity": "promotion",
"name": "general",
"label": "General",
"created_at": "2023-10-12T14:32:15+00:00",
},
],
"meta": []
}Create Custom Attribute Group
Custom Attributes can be grouped, which can be helpful to identify those attributes that are associated to your integration.
POST
https://api.piggy.eu/api/v3/oauth/clients/custom-attribute-groupsHeaders
Authorization
Accept
Bearer {{ personal_access_token }}application/jsonInput parameters
namestringrequiredA unique internal identifier for this group
labelstringoptionalDisplay value for this group
entitystringrequiredEntity for which this Custom Attribute Group is to be created
Possible values:
business_profilesFor entity: Business Profile (or Shop)contactFor entity: ContactrewardFor entity: RewardpromotionFor entity: Promotion (note: use this one when working with Vouchers)voucherFor entity: Voucher (note: this is for individual vouchers, you'll likely need Promotion insteadgiftcardFor entity: Giftcardgiftcard_transactionFor entity: Giftcard TransactionprepaidFor entity: Prepaid TransactionbookingFor entity: BookingvisitFor entity: VisitshiftFor entity: ShiftResponse Example
Show more
1
2
3
4
5
6
7
8
9
{
"data": {
"entity": "promotion",
"name": "acme_integration",
"label": "Acme Integration Attributes",
"created_at": "2023-11-13T16:04:14+00:00",
},
"meta": []
}